const { ccclass, property, menu } = cc._decorator;

@ccclass
export default class Game extends cc.Component {
	
    @property(cc.Button)
    btn: cc.Button = null;

    public onEnable(): void {
        this.btn.node.on("click", () => {
            let node = new cc.Node();
            node.width = 100;
            node.height = 100;
            node.addComponent(cc.Label);
            node.addComponent(cc.LabelOutline).width = 2;
            node.destroy();
        }, this);
    }
	
}